Package org.opengis.cite.ogcapifeatures10.conformance.core.collections

# Class FeaturesAssertions

java.lang.Object
org.opengis.cite.ogcapifeatures10.conformance.core.collections.FeaturesAssertions

public class FeaturesAssertions extends Object

FeaturesAssertions class.

Author:
  Lyn Goltz

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FeaturesAssertions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `(package private) static void`
  `assertIntegerGreaterOrEqualsZero(int value, String propertyName)`
  `(package private) static void`
  `assertIntegerGreaterOrEqualsZero(Object value, String propertyName)`
  `(package private) static void`
  `assertNumberMatched(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName, io.restassured.path.json.JsonPath jsonPath, boolean skipIfNoNumberMatched)`
  `(package private) static void`
  `assertNumberReturned(String collectionName, io.restassured.path.json.JsonPath jsonPath, boolean skipIfNoNumberReturned)`
  `(package private) static void`
  `assertTimeStamp(String collectionName, io.restassured.path.json.JsonPath jsonPath, ZonedDateTime timeStampBeforeResponse, ZonedDateTime timeStampAfterResponse, boolean skipIfNoTimeStamp)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FeaturesAssertions

    public FeaturesAssertions()

- ## Method Details

  - ### assertIntegerGreaterOrEqualsZero

    static void assertIntegerGreaterOrEqualsZero(Object value, String propertyName)

  - ### assertIntegerGreaterOrEqualsZero

    static void assertIntegerGreaterOrEqualsZero(int value, String propertyName)

  - ### assertTimeStamp

    static void assertTimeStamp(String collectionName, io.restassured.path.json.JsonPath jsonPath, ZonedDateTime timeStampBeforeResponse, ZonedDateTime timeStampAfterResponse, boolean skipIfNoTimeStamp)

  - ### assertNumberReturned

    static void assertNumberReturned(String collectionName, io.restassured.path.json.JsonPath jsonPath, boolean skipIfNoNumberReturned)

  - ### assertNumberMatched

    static void assertNumberMatched(com.reprezen.kaizen.oasparser.model3.OpenApi3 apiModel, URI iut, String collectionName, io.restassured.path.json.JsonPath jsonPath, boolean skipIfNoNumberMatched) throws URISyntaxException
    Throws:
      `URISyntaxException`